> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/security/show-bitlocker-recovery-key.md).

# BitLocker 回復キーを表示

このデバイスの BitLocker 回復キーを表示

### 説明

このデバイスにバックアップされた BitLocker 回復キーを、ディスク回復用に新しいものから順にすべて一覧表示します。変更は行われません。オプションとして、Microsoft Defender for Endpoint がデバイスを中リスクまたは高リスクと評価した場合はキーを非表示にします。これにより、セキュリティ チームが関与する前にキーが渡されるのを防ぎ、デバイスが調査対象の場合にも備えられます。

### デバイスにリスクがない場合のみキーを表示する

次の場合 *デバイスにリスクがない場合のみキーを表示する* (`skipIfAtRisk`）が有効な場合、ランブックは回復キーを取得する前に、Microsoft Defender for Endpoint でデバイスのリスク スコアを確認します。検索では Entra デバイス ID を使用し、これは次のクエリと同じ **Defender の状態を確認** 実行するクエリです。チェックは既定でオフです。

考えられる結果:

* **高リスクなし** (リスク スコア `なし`, `情報` または `低`）：回復キーは通常どおり表示されます。
* **リスク スコア `中` または `高`**：ランブックは、キーを読み取る前に警告を出して停止します。リスク スコアが高いデバイスはセキュリティ インシデントに関与している可能性があり、その回復キーを開示すると、暗号化されたデータが攻撃者にさらされるおそれがあります。まずセキュリティ チームと調整してください。どうしてもキーを表示するには、オプションを無効にしてランブックを実行します。
* **Defender for Endpoint でデバイスが見つかりません**：リスク スコアを判定できません。ランブックはこれを記録してキーの取得を続行するため、Defender にオンボードされていないデバイスはブロックされません。
* **デバイスは見つかりましたが、リスク スコアがありません** （例: オンボードしたばかりのデバイス）：runbook はこれを記録し、同様に続行します。
* **Defender のクエリに失敗**：ランブックはキーを一切表示せずに停止するため、一時的な API の問題で保護が回避されることはありません。

#### チェックを既定で有効にする

すべての要求でチェックを強制するには、パラメーターを事前設定して非表示にし、ポータルからオフにできないようにします。

この JSON 設定は次のとおりです:

```json
"rjgit-device_security_show-bitlocker-recovery-key": {
    "parameters": {
        "skipIfAtRisk": {
            "Default": true,
            "Hide": true
        }
    }
}
```

### 場所

デバイス → セキュリティ → BitLocker 回復キーの表示

**完全な Runbook 名**

rjgit-device\_security\_show-bitlocker-recovery-key

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.1.0                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * BitlockerKey.Read.All
    * *デバイスの BitLocker 回復キーを一覧表示し、表示用にキー値を読み取ります*
* **種類**: WindowsDefenderATP
  * Machine.Read.All *(任意 — 機能: Defender リスク チェック)*
    * *skipIfAtRisk の事前チェックでデバイスの Defender のリスク スコアを読み取ります*

### パラメーター

#### DeviceId

runbook が対象とするデバイスの Entra ID デバイス ID。ポータルで選択したデバイスから設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | true                      |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### skipIfAtRisk

Microsoft Defender for Endpoint がデバイスを中リスクまたは高リスクと評価した場合はキーを非表示にし、まずセキュリティ チームに確認できるようにします。Defender で不明なデバイスはブロックされません。

| プロパティ   | 値                         |
| ------- | ------------------------- |
| 必須      | false                     |
| 既定値     | False                     |
| 種類      | ブール値                      |
| ポータル表示名 | デバイスがリスクなしの場合のみキーを表示しますか? |

**ポータルのオプション**

| ポータル オプション                                  | 値     |
| ------------------------------------------- | ----- |
| Defender のリスク スコアが中リスクまたは高リスクでない場合のみキーを表示する | true  |
| Defender のリスク スコアに関係なくキーを表示する               | false |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/security/show-bitlocker-recovery-key.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
